/*
 * Copyright (C) 2013  Lucas Skldqvist <frusen@gungre.ch>
 *
 * This file is part of Dragbuilder. 
 *
 * Dragbuilder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Dragbuilder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Dragbuilder.  If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef EDITORWINDOW_H
#define EDITORWINDOW_H

#include "globals.h"
#include <FL/Fl_Text_Display.H>
#include <FL/Fl_Tabs.H>
#include <FL/Fl_Input.H>
#include <FL/Fl_Double_Window.H>
#include <vector>

class EditorWindow : public Fl_Double_Window
{
public:
  EditorWindow (int w, int h, std::string t);
  ~EditorWindow ();

  Fl_Text_Display *display;
  Fl_Tabs         *tabs;
  Fl_Group        *gr_script;
  Fl_Group        *gr_options;
  std::vector<Fl_Input*> input_field;
};

#endif /* EDITORWINDOW_H */
